/breezy/unstable

To get this branch, use:
bzr branch https://code.breezy-vcs.org/breezy/unstable

« back to all changes in this revision

Viewing changes to breezy/plugins/launchpad/lp_api.py

  • Committer: Jelmer Vernooij
  • Date: 2017-05-24 01:39:33 UTC
  • mfrom: (3815.3776.6)
  • Revision ID: jelmer@jelmer.uk-20170524013933-ir4y4tqtrsiz2ka2
New upstream snapshot.

Show diffs side-by-side

added added

removed removed

Lines of Context:
28
28
import re
29
29
import urlparse
30
30
 
31
 
from bzrlib import (
 
31
from ... import (
32
32
    branch,
33
33
    config,
34
34
    errors,
36
36
    trace,
37
37
    transport,
38
38
    )
39
 
from bzrlib.i18n import gettext
40
 
from bzrlib.plugins.launchpad.lp_registration import (
 
39
from ...i18n import gettext
 
40
from .lp_registration import (
41
41
    InvalidLaunchpadInstance,
42
42
    )
43
43
 
44
44
try:
45
45
    import launchpadlib
46
 
except ImportError, e:
 
46
except ImportError as e:
47
47
    raise errors.DependencyNotPresent('launchpadlib', e)
48
48
 
49
49
from launchpadlib.launchpad import (
127
127
        proxy_info=proxy_info, version=version)
128
128
    # XXX: Work-around a minor security bug in launchpadlib < 1.6.3, which
129
129
    # would create this directory with default umask.
130
 
    osutils.chmod_if_possible(cache_directory, 0700)
 
130
    osutils.chmod_if_possible(cache_directory, 0o700)
131
131
    return launchpad
132
132
 
133
133